# exp( - j 2 pi k / N ) = W^k_N

from math import exp, cos, sin, pi

class TwiddleFactors(object):
	"""docstring for TwiddleFactors"""
	def __init__(self, N):
		super (TwiddleFactors, self).__init__()
		self.N = N

	def build_twiddle_factors(self):
		w = []
		for k in range( self.N / 2 ):
			teta = - 2 * pi * k / self.N
			w.append(  cos ( teta ) + 1j * sin( teta ) )
		return w
